Build failed. See the build log for details after it was updated newest version xamarin

EnglbachEnglbach VNMember ✭✭

Build failed. No compatible framework found for assembly '/Applications/Xamarin Studio.app/Contents/Resources/lib/monodevelop/bin/MSBuild/4.0/MonoDevelop.Projects.Formats.MSBuild.exe' (required framework: .NETFramework,Version=v4.0) Build: 1 error, 0 warnings

Best Answer

Answers

  • rbmanian75rbmanian75 USMember ✭✭

    I am also facing the issue.. I updated to the latest version and started having this issue.

  • DanielBenedyktDanielBenedykt UYMember ✭✭

    @Englbach said:
    Take it off and open xamarin studio again

    Yes, close Xamarin and start it again.
    Probably its because the licences changed.

  • CharlesParkerCharlesParker USMember

    Closing and restarting yields:
    /Library/Frameworks/Mono.framework/Versions/4.2.4/lib/mono/4.5/Microsoft.Common.targets: Warning: Unable to find framework corresponding to the target framework moniker '.NETFramework,Version=v4.5,Profile=Profile78'. Framework assembly references will be resolved from the GAC, which might not be the intended behavior. (foobar)

    followed by errors about all the .NET builtin types.

    This is a plain vanilla xamarin.forms project.

  • CharlesParkerCharlesParker USMember

    Restarting seems to have resolved this issue (MacOS)

  • JoeMellinJoeMellin USXamarin Team Xamurai

    Yes restarting worked for me as well!

  • CeesAlbertsCeesAlberts NLMember ✭✭

    Restarting worked also for me.

  • fortinguillaumefortinguillaume FRBeta ✭✭
    edited June 2016

    Restarting Xamarin studio works.

  • mbmmirzambmmirza USMember

    Restarting Xamarin studio didnt works for me .
    i dont khow what to do ?
    test all version of . net but ...
    now .net is in 4.5 version
    please help

Sign In or Register to comment.